%define name	libjabber
%define version	0.7
%define release	1
%define serial  1

Summary: libjabber - Core library for all server-side Jabber components.
Name:	 %{name}
Version: %{version}
Release: %{release}
Serial:	 %{serial}
Copyright: GPL
Group:	System Environment/Libraries
URL:	 http://download.jabber.org/0.7.html
Source:	 http://download.jabber.org/dists/0.7/jlib-0.7.tar.gz
Buildroot: /var/tmp/%{name}-%{version}

Packager: C. Scott Ananian <cananian@alumni.princeton.edu>

%changelog
* Sat Dec 18 1999 C. Scott Ananian <cananian@alumni.princeton.edu>
- Created redhat packages.

%description
Jabber is an open source, cross-platform, completely
extensible, end-all to Instant Messaging as we know it.
libjabber is the core library for all server-side Jabber components.

%prep
%setup -n jlib-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr

make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT/ ; fi
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/lib
make prefix=$RPM_BUILD_ROOT/usr install

%post	-p /sbin/ldconfig

%postun	-p /sbin/ldconfig

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT/; fi

%files 
%doc AUTHORS COPYING COPYRIGHT ChangeLog INSTALL NEWS README TODO

%dir /usr/include/jabber
/usr/include/jabber/*
/usr/lib/*
